> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cad/api-integration/api-endpoints/emergency/inferno-pagers/set-pager-config.md).

# Set Pager Config

{% hint style="warning" %}
This API endpoint requires the **plus** version of Sonoran CAD or higher.\
For more information, see our [pricing ](/cad/pricing/faq.md)page.
{% endhint %}

## Set Pager Config

<mark style="color:green;">`POST`</mark> `https://api.sonorancad.com/emergency/SET_PAGER_CONFIG`

This endpoint sets the Inferno Pager configuration for a specific server in your community. If `nodes` is omitted, the existing node tree for that server is preserved.

#### Request Body

| Name                                   | Type   | Description              |
| -------------------------------------- | ------ | ------------------------ |
| id<mark style="color:red;">\*</mark>   | string | Your community's ID      |
| key<mark style="color:red;">\*</mark>  | string | Your community's API Key |
| type<mark style="color:red;">\*</mark> | string | SET\_PAGER\_CONFIG       |
| data<mark style="color:red;">\*</mark> | array  | Array of request objects |

{% tabs %}
{% tab title="200 A successful call will be met with the following response:" %}

```
Updated pager config!
```

{% endtab %}

{% tab title="400 The following 400 errors may be sent in response:" %}

```http
INVALID REQUEST TYPE
INVALID COMMUNITY ID
API IS NOT ENABLED FOR THIS COMMUNITY
INVALID API KEY
```

{% endtab %}
{% endtabs %}

```javascript
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "SET_PAGER_CONFIG",
    "data": [
        {
            "serverId": 1,
            "natureWords": {
                "Emergency": "Emergency",
                "NonEmergency": "Non-Emergency",
                "Administrative": "Administrative"
            },
            "maxAddresses": 5,
            "maxBodyLength": 250,
            "nodes": [
                {
                    "id": "root-1",
                    "name": "Fire",
                    "description": "Fire services",
                    "permission": "fire",
                    "address": "FIRE-01",
                    "shortCode": "F1",
                    "kind": "group",
                    "children": []
                }
            ]
        }
    ]
}
```

The `nodes` property is optional. If omitted, Sonoran CAD keeps the existing node tree for that `serverId` and only updates the minimal config fields.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cad/api-integration/api-endpoints/emergency/inferno-pagers/set-pager-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
